Bug 163093 - misc/astrolog fails to compile with WITHOUT_X11 set to true (patch included)
Summary: misc/astrolog fails to compile with WITHOUT_X11 set to true (patch included)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-06 16:50 UTC by Christian Gusenbauer
Modified: 2011-12-19 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.34 KB, patch)
2011-12-06 16:50 UTC, Christian Gusenbauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Gusenbauer 2011-12-06 16:50:05 UTC
If one wants to build astrolog with WITHOUT_X11 defined, the build breaks with a compile error in astrolog.c.

Fix: The attached patch fixes the problem. Just replace the original patch-ab with the attached one.

Patch attached with submission follows:
How-To-Repeat: Set WITHOUT_X11 to true in /etc/make.conf and build the port.
Comment 1 Michael Scheidell freebsd_committer 2011-12-10 04:37:13 UTC
is this an 'extra patch' to be called only when WITHOUT_X11 set? or 
should this replace the original all the time? even WITH_X11 set?


-- 
Michael Scheidell, CTO
o: 561-999-5000
d: 561-948-2259
 >*| *SECNAP Network Security Corporation

    * Best Mobile Solutions Product of 2011
    * Best Intrusion Prevention Product
    * Hot Company Finalist 2011
    * Best Email Security Product
    * Certified SNORT Integrator
Comment 2 Christian Gusenbauer 2011-12-10 08:04:47 UTC
It's not an extra patch, it replaces the original 'patch-ab' completly, and it 
supports both cases, either WITH_X11 or WITHOUT_X11 set.

Thanks,
Christian.

On Saturday 10 December 2011 05:37:13 Michael Scheidell wrote:
> is this an 'extra patch' to be called only when WITHOUT_X11 set? or
> should this replace the original all the time? even WITH_X11 set?
> 
>  >*| *SECNAP Network Security Corporation
> 
>     * Best Mobile Solutions Product of 2011
>     * Best Intrusion Prevention Product
>     * Hot Company Finalist 2011
>     * Best Email Security Product
>     * Certified SNORT Integrator
Comment 3 Pawel Pekala freebsd_committer 2011-12-19 20:13:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 4 dfilter service freebsd_committer 2011-12-19 21:01:23 UTC
pawel       2011-12-19 21:01:10 UTC

  FreeBSD ports repository

  Modified files:
    misc/astrolog        Makefile pkg-plist 
    misc/astrolog/files  patch-ab 
  Log:
  - Fix build with WITHOUT_X11=true [1]
  - Support NOPORTDOCS
  - Fix portlint warnings
  
  PR:             ports/163093 [1]
  Submitted by:   Christian Gusenbauer <c47g@gmx.at> [1]
  
  Revision  Changes    Path
  1.47      +11 -9     ports/misc/astrolog/Makefile
  1.8       +22 -4     ports/misc/astrolog/files/patch-ab
  1.13      +4 -4      ports/misc/astrolog/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2011-12-19 21:01:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!